Subject: RE: How to make cygwin/bash shell work in emacs
From: "Roman Adar" <[email-masked]>
To: <[email-masked]>
Cc: "Chet Ramey" <[email-masked]>, <[email-masked]>
Date: Tue, 2 Oct 2001 18:17:41 -0700

Ehud

I've tried the approach with the ".bashrc" file, but it creates other
problems. When I've the "set -x" still set for tracing I can see that it
loads the "shell" FOREVER, repeatedly. It never exits the load... statement.

It looks like the ".bashrc" file is the solution, but I also probably, need
to make some changes in my ".emacs" and the "/etc/profile" files. However
I'm not sure where and what.

I believe that at this point I'll invoke the perl explicitly with the full
path when I use it in the emacs sub-shell.

Thanks again for your help.

Roman

-----Original Message-----
From: Ehud Karni [mailto:[email-masked]]
Sent: Tuesday, October 02, 2001 3:19 PM
To: Roman Adar
Cc: Chet Ramey; [email-masked]
Subject: Re: How to make cygwin/bash shell work in emacs

On Tue, 2 Oct 2001 14:43:23 -0700, Roman Adar <[email-masked]> wrote:
>
> When I'm in the shell in emacs I just type "perl file_name.pl <options>".
>
> Also another thing, maybe important. In the cygiwn shell I get the prompt:
>
> Administrator@ROME ~
> $
>
> (Where ROME is my machine name).
>
> While the shell in emacs shows:
>
> bash-2.05$

OK. That clarify the situation. I assumed INCORRECTLY that you run the
perl directly from your Emacs (not in sub-shell). In your case bash
executes ~/.bashrc, So if it does not exist create it and add the line:
    source /etc/profile
That should solve your problems.

You should keep the (setenv "Bash_ENV" "/etc/profile") for commands
executed directly from Emacs (like shell-command [M-!] or compilation).

Ehud.

--
 Ehud Karni     Mivtach - Simon  Insurance   /"\
 Tel: +972-3-7966-561 Fax: +972-3-7966-667   \ /  ASCII Ribbon Campaign
 (USA) Fax and  voice  mail: 1-815-5509341    X   Against  HTML  Mail
     Better     Safe     Than     Sorry      / \
     mailto:[email-masked]    http://www.simonwiesel.co.il

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/